[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'EditBtn' (#lcl)

# TDateOrder

Controls the display order for Month, Day, and Year portions of a date value.

## Declaration

Source position: editbtn.pas line 589

`type TDateOrder = (`
`doNone,` |  | No order is specified for the Year, Month, and Day values.
`doMDY,` |  | Displayed in Month, Day, Year order.
`doDMY,` |  | Displayed in Day, Month, Year order.
`doYMd` |  | Displayed in Year, Month, Day order.
`);`

## Description

TDateOrder is an enumerated type with values that indicate the display order for the Month, Day, and Year portions of a date value.

TDateOrder is the type used to implement the DateOrder property in TDateEdit, and passed as an argument to the ParseDate routine in the implementation for the unit.

## See also

TDateEdit.DateOrder |  | Controls the display order for Year, Month, and Day parts of the Date value.